#
# this module look for SDL2_Ttf (http://www.libsdl.org) support
# it will define the following values
#
# SDL2TTF_INCLUDE_DIR  = where SDL_mixer.h can be found
# SDL2TTF_LIBRARY      = the library to link against SDL2_mixer
# SDL2TTF_FOUND        = set to 1 if SDL2_mixer is found
#

IF(SDL2_Ttf_INCLUDE_DIRS)

  FIND_PATH(SDL2TTF_INCLUDE_DIR SDL2/SDL_ttf.h ${SDL2_Ttf_INCLUDE_DIRS})
  FIND_LIBRARY(SDL2TTF_LIBRARY SDL2_ttf ${SDL2_Ttf_LIBRARY_DIRS})

ELSE(SDL2_Ttf_INCLUDE_DIRS)

  SET(TRIAL_LIBRARY_PATHS
    $ENV{SDL2_TTF_HOME}/lib
    /usr/lib
    /usr/local/lib
    /sw/lib
  ) 
  SET(TRIAL_INCLUDE_PATHS
    $ENV{SDL2_TTF_HOME}/include/SDL2
    /usr/include/SDL2
    /usr/local/include/SDL2
    /sw/include/SDL2
  ) 

  FIND_LIBRARY(SDL2TTF_LIBRARY SDL2_ttf ${TRIAL_LIBRARY_PATHS})
  FIND_PATH(SDL2TTF_INCLUDE_DIR SDL2/SDL_ttf.h ${TRIAL_INCLUDE_PATHS})

ENDIF(SDL2_Ttf_INCLUDE_DIRS)

IF(SDL2TTF_INCLUDE_DIR AND SDL2TTF_LIBRARY)
  SET(SDL2TTF_FOUND 1 CACHE BOOL "Found SDL2_Ttf library")
ELSE(SDL2TTF_INCLUDE_DIR AND SDL2TTF_LIBRARY)
  SET(SDL2TTF_FOUND 0 CACHE BOOL "Not fount SDL2_Ttf library")
ENDIF(SDL2TTF_INCLUDE_DIR AND SDL2TTF_LIBRARY)

MARK_AS_ADVANCED(
  SDL2TTF_INCLUDE_DIR 
  SDL2TTF_LIBRARY 
  SDL2TTF_FOUND
)

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(SDL2TTF REQUIRED_VARS SDL2TTF_INCLUDE_DIR SDL2TTF_LIBRARY)
